Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE 4.1 portage
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 19, 20, 21 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
dleverton
Guru
Guru


Joined: 28 Aug 2006
Posts: 517

PostPosted: Fri Aug 01, 2008 5:57 pm    Post subject: Reply with quote

Jupiter1TX wrote:
This is NOT a solution because XGL is a dead project and will no longer be developed.
That is why there are NO current/recent sources of XGL

Do you have a reference for that? I know davidr has been slacking for a long time on merging it back to master, but that doesn't mean it's officially abandoned (and no, the removal from master doesn't count, because no-one has been using or updating that copy anyway since early 2006).
Back to top
View user's profile Send private message
tkhemili78
n00b
n00b


Joined: 31 Jul 2007
Posts: 38
Location: Eastern US

PostPosted: Fri Aug 01, 2008 6:18 pm    Post subject: Reply with quote

yep I did that too Jupiter, trying it one more time now. I deleted all my overlays and starting over. the last time I updated portage was yesterday i believe its 2.2_rc6
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Fri Aug 01, 2008 6:57 pm    Post subject: Reply with quote

dleverton wrote:

Do you have a reference for that? I know davidr has been slacking for a long time on merging it back to master, but that doesn't mean it's officially abandoned (and no, the removal from master doesn't count, because no-one has been using or updating that copy anyway since early 2006).


I know this because i am on the Compiz-Fusion support team,
and we were informed by David.
Info here
http://dev.compiz-fusion.org/~cyberorg/2008/07/26/rip-xgl/
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
dleverton
Guru
Guru


Joined: 28 Aug 2006
Posts: 517

PostPosted: Fri Aug 01, 2008 7:12 pm    Post subject: Reply with quote

Jupiter1TX wrote:
I know this because i am on the Compiz-Fusion support team,
and we were informed by David.
Info here
http://dev.compiz-fusion.org/~cyberorg/2008/07/26/rip-xgl/

I still don't see anything official-looking on that page, but I'll take your word for it. That's a shame, it's pretty useful....
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2584
Location: userland

PostPosted: Fri Aug 01, 2008 7:24 pm    Post subject: Reply with quote

Hi! If you encounter the kde-4.1 bug that all printing jobs are sent to the virtual pdf printer, see this for a solution:
https://bugs.gentoo.org/show_bug.cgi?id=233555
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 427
Location: Graben-Neudorf, Germany

PostPosted: Fri Aug 01, 2008 7:58 pm    Post subject: Re: nope trust me I tried that too Reply with quote

tkhemili78 wrote:
nope trust me I tried that too

...

emerge: there are no ebuilds to satisfy "kde-base/kde-meta:4.1".


Do you have the up to date overlay?

Does

Code:
layman -d kdesvn-portage; layman -a kdesvn-portage


help?
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Fri Aug 01, 2008 8:38 pm    Post subject: Reply with quote

Getting there with 4.1 :)

Can we get a krosspython 4.1 build rather than just an svn build please?
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Fri Aug 01, 2008 10:50 pm    Post subject: Reply with quote

dleverton wrote:

I still don't see anything official-looking on that page, but I'll take your word for it. That's a shame, it's pretty useful....


I think this is about as 'official' as it's gonna get.
http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commit;h=d15b3790307053587df8daed1936ff6923881b63
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
dleverton
Guru
Guru


Joined: 28 Aug 2006
Posts: 517

PostPosted: Fri Aug 01, 2008 11:06 pm    Post subject: Reply with quote

Jupiter1TX wrote:
I think this is about as 'official' as it's gonna get.
http://gitweb.freedesktop.org/?p=xorg/xserver.git;a=commit;h=d15b3790307053587df8daed1936ff6923881b63

As I said, that was on master, which until then had the early 2006 version of the code. The newer stuff is on the xgl-0-0-1 branch. But this is getting rather off-topic. :wink:
Back to top
View user's profile Send private message
tkhemili78
n00b
n00b


Joined: 31 Jul 2007
Posts: 38
Location: Eastern US

PostPosted: Sat Aug 02, 2008 3:42 am    Post subject: Reply with quote

yes indeedy

I copied all the items into the portage/package.* files respectively as the wiki page suggested

ran layman -f -a kdesvn-portage && sudo emerge -v --sync && sudo emerge --regen

sudo layman -l
*kdesvn-portage [Git ](source: blah blah)
then sudo emerge -av kde
all packages that show up are kdeblah-3.5.9
Back to top
View user's profile Send private message
tkhemili78
n00b
n00b


Joined: 31 Jul 2007
Posts: 38
Location: Eastern US

PostPosted: Sat Aug 02, 2008 4:14 am    Post subject: Reply with quote

i did it one more time and success, ill post back after the compile
Back to top
View user's profile Send private message
chappy
n00b
n00b


Joined: 02 Aug 2008
Posts: 6
Location: Mainz

PostPosted: Sat Aug 02, 2008 11:06 am    Post subject: First experiences with linux/gentoo -> kde 4.1 ? Reply with quote

Hi all,

first of all i introduce myself a little bit.
I'm 24 years old from Germany and in the past i did only work with windows systems.
Also @work i'm only working with windows servers / desktops the only 4 unix machines are ESX boxes that host our
Windows Servers ;-)

For my work i have to earn a bit linux experience in the next time.
My colleague told me not to install any "full" linux distribution and advised me to use the gentoo minimal cd (to get more experience, to learn more).
Ok, so i did everything step by step (it was quite easy because the documentation is very good) but now i want to install kde 4.1 :-)

I have 2 virtual machines to test with gentoo on the one i install kde 3.5 and everything was working fine. Now i want to test KDE 4.1 on the other machine.

As far as i read on forum/websites the full 4.1 version is not available through emerge at the moment, right?
Any other chance to install it? Please keep in mind that i'm a real linux newbie and that i may not understand every technical words you use :-)

I would really appreciate if someone can give me some hints and help me to get rid of this.

If you need any more information please let me know and i will try to provide it.

Thanks a lot in advance!!!

Wish you a nice day.

Stefan
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Sat Aug 02, 2008 11:37 am    Post subject: Reply with quote

merged above post here. please search before posting
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
CryoGen
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1426
Location: Bamako - Mali - Afrique

PostPosted: Sat Aug 02, 2008 1:22 pm    Post subject: Reply with quote

CryoGen wrote:
Code:
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
+ Soprano
+ Nepomuk
Congratulations! All external packages have been found.
-----------------------------------------------------------------------------

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/paludis/kde-base-nepomuk-4.1.0/work/nepomuk_build
make -j2
>>> Done src_compile
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv unpack compile saveenv
>>> Running ebuild phases loadenv install saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_install
make -j2 install DESTDIR=/var/tmp/paludis/kde-base-nepomuk-4.1.0/image/
make: *** No rule to make target `install'.  Stop.
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in kde-base/nepomuk-4.1.0:
!!! In cmake-utils_src_install at line 1158
!!! Make install failed

!!! Call stack:
!!!    * cmake-utils_src_install (/var/tmp/paludis/kde-base-nepomuk-4.1.0/temp/loadsaveenv:1158)
!!!    * kde4overlay-meta_src_install (/var/tmp/paludis/kde-base-nepomuk-4.1.0/temp/loadsaveenv:3474)
!!!    * src_install (/var/tmp/paludis/kde-base-nepomuk-4.1.0/temp/loadsaveenv:4325)
!!!    * ebuild_f_install (/usr/libexec/paludis/0/src_install.bash:46)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:463)
!!!    * main (/usr/libexec/paludis/ebuild.bash:478)

diefunc: making ebuild PID 1196 exit with error
die trap: exiting with error.

Install error:
  * In program paludis (--log-level warning --dl-reinstall if-use-changed --dl-reinstall-scm weekly --dl-downgrade warning --dl-blocks accumulate --show-reasons summary --show-use-descriptions changed --resume-command-template /tmp/palTMPXXXXXX --continue-on-failure if-satisfied --debug-build none) -i kde-base/dolphin:
  * When performing install action from command line:
  * When executing install task:
  * When installing 'kde-base/nepomuk-4.1.0:4.1::kde4-overlay':
  * Install error: Install failed for 'kde-base/nepomuk-4.1.0:4.1::kde4-overlay'


Nepomuk is needed for dolphin :cry:
Any idea how to resolve this ?

Thanks :)


\o/
Recompiling strigi with "clucene dbus exiv2 fam qt4 -debug -hyperestraier -inotify -test" use flags was the solution :) and now nepomuk compiles fine :)
_________________
- CryoGen` on #gentoofr@irc.freenode.net
- ~amd64 / KDE4
- I'm the bone of my sword...
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3234
Location: Gainesville, Florida

PostPosted: Sat Aug 02, 2008 2:38 pm    Post subject: Reply with quote

CryoGen's post above is a perfect example of what's been bothering me for months during the kde4 testing process, so here's my two cents.

It sure would be useful (no pun intended) to have better documentation about precisely what USE flags should be enabled/disabled for each kde4 package. Some are pretty obvious, but I have a feeling there is much more to this than is known by most users. Having one location listing the definitive recommended flags would sure save a lot of trial and error compile time which leads to mysterious failures. Apparently, the ebuilds don't always specify all needed or optional flags or have any info message during configure, and it's a crap shoot whether or not a given user happens to have required flags in make.conf.

If it's a known required/optional flag, why make everyone re-invent the wheel by trial and error, if it's possible to just have them all documented somewhere? I'm not so concerned about the optional flags, but mainly those that can cause compiling problems on the current or other related packages
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.1.12-gentoo USE=experimental
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat Aug 02, 2008 2:57 pm    Post subject: Reply with quote

Code:
krogpc krog # emerge -a strigi

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-misc/strigi-9999  USE="[b]exiv2 fam qt4 -debug -inotify -test[/b]" 0 kB [1]

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/kdesvn-portage

Would you like to merge these packages? [Yes/No] no


i have only exiv2 fam qt4 -debug -inotify -test... is it normal?
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat Aug 02, 2008 3:01 pm    Post subject: Reply with quote

Code:
[ 76%] Building CXX object nepomuk/services/filewatch/CMakeFiles/nepomukfilewatch.dir/nepomukfilewatch_automoc.o                   
Linking CXX shared module ../../../lib/nepomukfilewatch.so                                                                         
[ 77%] Building CXX object nepomuk/services/strigi/CMakeFiles/nepomukstrigiservice.dir/strigiservice.o                             
/var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk/nepomuk/services/strigi/strigiservice.cpp:30:38: error: strigi/indexpluginloader.h: No such file or directory                                                                                                     
[ 77%] Built target nepomukfilewatch                                                                                               
[ 79%] Building CXX object nepomuk/services/strigi/CMakeFiles/nepomukstrigiservice.dir/strigiserviceadaptor.o                     
[ 80%] Building CXX object nepomuk/services/strigi/CMakeFiles/nepomukstrigiservice.dir/indexscheduler.o                           
/var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk/nepomuk/services/strigi/strigiservice.cpp: In constructor ‘Nepomuk::StrigiService::StrigiService(QObject*, const QList<QVariant>&)’:                                                                             
/var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk/nepomuk/services/strigi/strigiservice.cpp:49: error: ‘Strigi::IndexPluginLoader’ has not been declared                                                                                                           
/var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk/nepomuk/services/strigi/strigiservice.cpp: In destructor ‘virtual Nepomuk::StrigiService::~StrigiService()’:                                                                                                     
/var/tmp/portage/kde-base/nepomuk-9999/work/nepomuk/nepomuk/services/strigi/strigiservice.cpp:75: error: ‘Strigi::IndexPluginLoader’ has not been declared                                                                                                           
make[2]: *** [nepomuk/services/strigi/CMakeFiles/nepomukstrigiservice.dir/strigiservice.o] Error 1                                 
[ 81%] make[2]: *** Waiting for unfinished jobs....                                                                               
Generating servicecontroladaptor.cpp, servicecontroladaptor.h                                                                     
Generating servicecontrol.moc                                                                                                     
[ 83%] Generating servicecontroladaptor.moc                                                                                       
Scanning dependencies of target nepomukservicestub                                                                                 
[ 84%] Building CXX object nepomuk/servicestub/CMakeFiles/nepomukservicestub.dir/main.o                                           
make[1]: *** [nepomuk/services/strigi/CMakeFiles/nepomukstrigiservice.dir/all] Error 2                                             
[ 86%] make[1]: *** Waiting for unfinished jobs....                                                                               
Building CXX object nepomuk/servicestub/CMakeFiles/nepomukservicestub.dir/servicecontrol.o                                         
[ 87%] Building CXX object nepomuk/servicestub/CMakeFiles/nepomukservicestub.dir/servicecontroladaptor.o                           
[ 88%] Building CXX object nepomuk/servicestub/CMakeFiles/nepomukservicestub.dir/nepomukservicestub_automoc.o                     
Linking CXX executable nepomukservicestub                                                                                         
[ 88%] Built target nepomukservicestub                                                                                             
make: *** [all] Error 2                                                                                                           
 *                                                                                                                                 
 * ERROR: kde-base/nepomuk-9999 failed.   
Back to top
View user's profile Send private message
Diavolo
Apprentice
Apprentice


Joined: 09 Jan 2005
Posts: 151

PostPosted: Sat Aug 02, 2008 4:06 pm    Post subject: Reply with quote

I have emerged KDE 4.1, it seems to work fine.

But I have a problem with KMail and sending mails. When I try to send a mail I get the following error:

Authentication support is not compiled into kio_smtp

I have addes sasl to my USE-Flat and re-emerged kioslaves and kmail without success.

Any Idea? :(
Back to top
View user's profile Send private message
NismoC32
Apprentice
Apprentice


Joined: 07 Apr 2003
Posts: 197

PostPosted: Sun Aug 03, 2008 12:19 am    Post subject: Reply with quote

Hi I'm having problem getting nepomuk-4.1.0 to compile.
I end up with this:

Quote:
wstation mpl # emerge nepomuk
Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Building (1 of 1) kde-base/nepomuk-4.1.0
* kdebase-runtime-4.1.0.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
Unpacking parts of kdebase-runtime-4.1.0.tar.bz2 to /var/tmp/portage/kde-base/nepomuk-4.1.0/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/kde-base/nepomuk-4.1.0/work/nepomuk-4.1.0 ...
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Check size of void*
-- Check size of void* - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.4.0 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Automoc4: /usr/bin/automoc4
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found Phonon: /usr/lib64/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Found KDE 4.1 include dir: /usr/kde/4.1/include
-- Found KDE 4.1 library dir: /usr/kde/4.1/lib64
-- Found KDE4 kconfig_compiler preprocessor: /usr/kde/4.1/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found Strigi >= 0.5.9
-- Found Strigi: /usr/lib64/libstreams.so
-- Found Soprano: /usr/lib64/libsoprano.so
-- Found Soprano includes: /usr/include
-- Found Soprano Index: /usr/lib64/libsopranoindex.so
-- Found Soprano Client: /usr/lib64/libsopranoclient.so
-- Could not find OPTIONAL package NEPOMUK
-- Looking for include files HAVE_SYS_WAIT_H
-- Looking for include files HAVE_SYS_WAIT_H - found
-- Looking for include files HAVE_SYS_TIME_H
-- Looking for include files HAVE_SYS_TIME_H - found
--
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
+ Soprano
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
+ Nepomuk: Nepomuk Libraries <kdelibs>
Required to build Nepomuk.
-----------------------------------------------------------------------------

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/nepomuk-4.1.0/work/nepomuk_build
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.1.0

>>> Install nepomuk-4.1.0 into /var/tmp/portage/kde-base/nepomuk-4.1.0/image/ category kde-base
make: *** No rule to make target `install'. Stop.
* ERROR: kde-base/nepomuk-4.1.0 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2983: Called kde4overlay-meta_src_install
* environment, line 2374: Called cmake-utils_src_install
* environment, line 730: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.1.0/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.1.0/temp/environment'.
* This ebuild is from an overlay: '/usr/local/portage/layman/kdesvn-portage/'

* Messages for package kde-base/nepomuk-4.1.0:

* ERROR: kde-base/nepomuk-4.1.0 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2983: Called kde4overlay-meta_src_install
* environment, line 2374: Called cmake-utils_src_install
* environment, line 730: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.1.0/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.1.0/temp/environment'.
* This ebuild is from an overlay: '/usr/local/portage/layman/kdesvn-portage/'


It complains about some missing nepomuk libraries but I can't figure out how to get them?
Back to top
View user's profile Send private message
CryoGen
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1426
Location: Bamako - Mali - Afrique

PostPosted: Sun Aug 03, 2008 12:44 am    Post subject: Reply with quote

NismoC32 wrote:
Hi I'm having problem getting nepomuk-4.1.0 to compile.
I end up with this:

Quote:
[...]
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
+ Soprano
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
+ Nepomuk: Nepomuk Libraries <kdelibs>
Required to build Nepomuk.
-----------------------------------------------------------------------------

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/nepomuk-4.1.0/work/nepomuk_build
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.1.0

>>> Install nepomuk-4.1.0 into /var/tmp/portage/kde-base/nepomuk-4.1.0/image/ category kde-base
make: *** No rule to make target `install'. Stop.
[...]


It complains about some missing nepomuk libraries but I can't figure out how to get them?


Install kdelibs, remerge strigi and it should work.
_________________
- CryoGen` on #gentoofr@irc.freenode.net
- ~amd64 / KDE4
- I'm the bone of my sword...
Back to top
View user's profile Send private message
tkhemili78
n00b
n00b


Joined: 31 Jul 2007
Posts: 38
Location: Eastern US

PostPosted: Sun Aug 03, 2008 2:07 am    Post subject: Reply with quote

yep thats what I did, The good news is that im using kde4.1 now, the bad news is that there is no sound (vlc,amarok,mplayer,etc...)
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun Aug 03, 2008 7:42 am    Post subject: Reply with quote

now i compiled nepomuk but there is no way to compile kde-misc/nepomuk-kde-9999
Back to top
View user's profile Send private message
appelgebak
Apprentice
Apprentice


Joined: 12 Sep 2004
Posts: 225
Location: Ruhrpott

PostPosted: Sun Aug 03, 2008 7:44 am    Post subject: Reply with quote

Hi,

i found the utils.h file in the svn-distfiles

Quote:
jupp KDE # jupp svn-src # find ./ -name utils.h
./KDE/kdesdk/kdesdk/kcachegrind/kcachegrind/utils.h
./KDE/kdevplatform/kdevplatform/plugins/teamwork/utils.h
./KDE/kdevplatform/kdevplatform/veritas/utils.h
./KDE/kdebase/kdebase/workspace/kdm/kfrontend/utils.h
./KDE/kdebase/kdebase/workspace/kwin/utils.h
./KDE/kdepim/kdepim/korn/utils.h
./KDE/kdepim/kdepim/akregator/src/utils.h
./KDE/kdepim/kdepim/libkdepim/utils.h


but there is an error building "emerge -vat kde-meta:kde-svn" in kontactinterfaces-9999:
Quote:
Generating summary.moc
Generating plugin.moc
Generating core.moc
Generating uniqueapphandler.moc
Scanning dependencies of target kontactinterfaces
[ 20%] [ 40%] Building CXX object kontactinterfaces/CMakeFiles/kontactinterfaces.dir/plugin.o
Building CXX object kontactinterfaces/CMakeFiles/kontactinterfaces.dir/core.o
[ 60%] Building CXX object kontactinterfaces/CMakeFiles/kontactinterfaces.dir/summary.o
/var/tmp/portage/kde-base/kontactinterfaces-9999/work/kontactinterfaces/kontactinterfaces/plugin.cpp:26:29: error: libkdepim/utils.h: No such file or directory
[ 80%] Building CXX object kontactinterfaces/CMakeFiles/kontactinterfaces.dir/uniqueapphandler.o
/var/tmp/portage/kde-base/kontactinterfaces-9999/work/kontactinterfaces/kontactinterfaces/uniqueapphandler.cpp:25:29: error: libkdepim/utils.h: No such file or directory
make[2]: *** [kontactinterfaces/CMakeFiles/kontactinterfaces.dir/plugin.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [kontactinterfaces/CMakeFiles/kontactinterfaces.dir/uniqueapphandler.o] Error 1
make[1]: *** [kontactinterfaces/CMakeFiles/kontactinterfaces.dir/all] Error 2
make: *** [all] Error 2
* ERROR: kde-base/kontactinterfaces-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3084: Called kde4overlay-meta_src_compile
* environment, line 2358: Called kde4overlay-meta_src_make
* environment, line 2407: Called kde4overlay-base_src_make
* environment, line 2122: Called cmake-utils_src_make
* environment, line 765: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
* The die message:
* Make failed!


So i cannot emerge the kdepim-related parts.
Are there any hints??
Sorry for crosspost, had to put it in this thread directly...

Appel
Back to top
View user's profile Send private message
Zero666
n00b
n00b


Joined: 03 May 2006
Posts: 35

PostPosted: Mon Aug 04, 2008 11:51 am    Post subject: Reply with quote

Ok, the problem with qt is solved. It was like coolsnowmen said. I had to keyworded pyqt4.

But now I have another slight problem. I cannot add remote calendars to korganizer, only from local folders. Maybe I miss a package what wich or an use flag? Anyone have an idea?
Back to top
View user's profile Send private message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 361
Location: Wolfstein, Germany (Rhineland-Palatinate)

PostPosted: Mon Aug 04, 2008 3:28 pm    Post subject: Reply with quote

Diavolo wrote:
I have emerged KDE 4.1, it seems to work fine.

But I have a problem with KMail and sending mails. When I try to send a mail I get the following error:

Authentication support is not compiled into kio_smtp

I have addes sasl to my USE-Flat and re-emerged kioslaves and kmail without success.

Any Idea? :(

I had the same problem - you need to enable the sasl use flag for kde-base/kdepimlibs.
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 19, 20, 21 ... 28, 29, 30  Next
Page 20 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum